/*  JBButtonInterface.java
 *
 *  Copyright (C) 2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 

package ch.fulgur.jarbuilder;



/** 
 * JBButtonInterface.java
 * 
 * This file defines the methods of the JarBuilder JButtons
 *
 * @author Dominik Werthmueller
 * 
 */
public interface JBButtonInterface {

	/**
	 * Method for the "Add File(s)" Button
	 */
	public void requestButtonAddFiles();
	
	
	/**
	 * Method for the "Remove File(s)" Button
	 */
	public void requestButtonRemoveFiles();
	
	
	/**
	 * Method for the "Clear List" Button
	 */
	public void requestButtonClearList();
	
	
	/**
	 * Method for the "Create Jar" Button
	 */
	public void requestButtonCreateJar();
	
	
	/**
	 * Method for the "Clear All" Button
	 */
	public void requestButtonClearAll();
	
	
	/**
	 * Method for the "Quit" Button
	 */
	public void requestButtonQuit();
	
	
	/**
	 * Method for the "Abort" Button
	 */
	public void requestButtonAbort();
	
}
