/*  Panel1.java
 *
 *  Copyright (C) 2002-2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ch.fulgur.jarbuilder;

import java.awt.*;
import javax.swing.*;



/** 
 * Panel1.java
 *
 * @author Dominik Werthmueller
 * 
 */
public class Panel1 extends SuperPanel {
	
	private JList lFiles;
	private JButton bLoad, bRemove, bClear;
	private JScrollPane spFiles;	
	
	
	
	/**
	 * fixate the size of the JList's JScrollPane
	 * 
	 * @param Dimension to set
	 */
	public void setListScrollPaneSize(Dimension d) {
		spFiles.setMinimumSize(d);
		spFiles.setPreferredSize(d);
		spFiles.setMaximumSize(d);
	}
	
	
	/**
	 * return the Size of the JList's ScrollPane
	 * 
	 * @return JScrollPane Size
	 */
	public Dimension getListScrollPaneSize() {
		return spFiles.getSize();	
	}
	
	
	/**
	 * get the selected indices from the JList
	 * @return selected indices
	 */
	public int[] getSelIndicesFromList() {
		return lFiles.getSelectedIndices();
	}
	
	
	/**
	 *	enable or disables all components of panel 1
	 * @param state true for enable, false for disable
	 */
	public void setStateOfElements(boolean state) {
		lFiles.setEnabled(state);
		bLoad.setEnabled(state);
		bRemove.setEnabled(state);
		bClear.setEnabled(state);
	}


	/**
	 * set the ListModel for the lFiles JList
	 *
	 * @param ListModel to set
	 */
	public void setListModel(ListModel dlm) {
		lFiles.setModel(dlm);
	}



	/**
	 * Constructor
	 */
	public Panel1(JBButtonInterface b) {
		super(b);
		VarUtils varutils = new VarUtils();
		GridBagConstraints a = varutils.getDefaultGridBagCons();
		
		setLayout(new BorderLayout());
		setBorder(BorderFactory.createTitledBorder("1. Step: Load Files")); 
		
		// small title
		add(new JLabel(" The listed files will be packed into a jar file"), BorderLayout.NORTH);

		// JList for files
		lFiles = new JList();
		spFiles = new JScrollPane(lFiles);
		add(spFiles, BorderLayout.CENTER);
		
		// panel for buttons
		JPanel panelRight = new JPanel(new GridBagLayout());
		
		bLoad = new JButton("Add File(s)", varutils.loadIcon("Add16.gif"));
		bLoad.setName("0");
		bLoad.addActionListener(this);
		a.gridx = 0; 
		a.gridy = 0;
		panelRight.add(bLoad, a);
		
		bRemove = new JButton("Remove", varutils.loadIcon("Remove16.gif"));
		bRemove.setName("1");
		bRemove.addActionListener(this);
		a.gridy = 1;
		panelRight.add(bRemove, a);
		
		bClear = new JButton("Clear List", varutils.loadIcon("Delete16.gif"));
		bClear.setName("2");
		bClear.addActionListener(this);
		a.gridy = 2;
		panelRight.add(bClear, a);
		
		add(panelRight, BorderLayout.EAST);
	}
}
