/*  Panel4.java
 *
 *  Copyright (C) 2002-2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ch.fulgur.jarbuilder;

import java.awt.*;
import javax.swing.*;



/** 
 * Panel4.java
 *
 * @author Dominik Werthmueller
 * 
 */
public class Panel4 extends SuperPanel {
	
	private JLabel lMessage;
	private JProgressBar bar;
	private JButton bAbort;
	
	
	/**
	 * set the text of the lMessage JLabel
	 * @param s text to set
	 */
	public void setMessageText(String s) {
		lMessage.setText(s);
	}
	
	
	/**
	 * set the text of the progressbar
	 * @param s text to set
	 */
	public void setBarText(String s) {
		bar.setString(s);
	}
	
	
	/**
	 * set the value of the progressbar
	 * @param v value to set
	 */
	public void setBarValue(int v) {
		bar.setValue(v);
	}
	
	
	/**
	 * set the maximum of the progressbar
	 * @param m maximum value of the progressbar
	 */
	public void setBarMaximum(int m){
		bar.setMaximum(m);
	}
		
		
		
	/**
	 * Constructor for Panel4
	 */	
	public Panel4(JBButtonInterface b) {
		super(b);
		BorderLayout bl = new BorderLayout();
		bl.setHgap(8);
		bl.setVgap(8);
		
		setLayout(bl);
		
		lMessage = new JLabel("Preparing for creating Jar File...");
		add(lMessage, BorderLayout.NORTH);
		
		bar = new JProgressBar();
		bar.setStringPainted(true);
		bar.setMinimum(0);
		add(bar, BorderLayout.CENTER);
		
		//JPanel panelRight = new JPanel(new FlowLayout(FlowLayout.LEFT));
		bAbort = new JButton("Abort"); 
		bAbort.setName("6");
		bAbort.addActionListener(this);
		add(bAbort, BorderLayout.EAST);
	}
}
